aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-build-app.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-08-11 08:13:02 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2020-08-11 08:13:02 +0000
commit3eac0fa051854a583618e0f3a879b767c26ddf3b (patch)
tree7ec20dbd017f81840d0cf583c2a83b45ca3e2d32 /jjb/common/include-apps-build-app.sh
parentf92a04cb21140a21f5649e1ce5b9fb3ddb97177f (diff)
parent13c79593eb0d2e4da9a9823a6154846618ae1da8 (diff)
Merge "SPEC-3482: Add package-all in the autobuild case"
Diffstat (limited to 'jjb/common/include-apps-build-app.sh')
-rw-r--r--jjb/common/include-apps-build-app.sh63
1 files changed, 8 insertions, 55 deletions
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index ac1a0ec5..4a708209 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -71,72 +71,25 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
git log -1 --pretty=oneline
- # Fixme: use aglbuild script
- #set -x
-
export DONE=0
export isAUTOBUILD=0
if [[ -f autobuild/agl/autobuild ]]
then
mkdir -p $(pwd)/package/
- chmod a+x autobuild/agl/autobuild
- autobuild/agl/autobuild package DEST=$(pwd)/package
+ chmod a+x autobuild/agl/autobuild
+ autobuild/agl/autobuild package-all DEST=$(pwd)/package
export isAUTOBUILD=1
export DONE=1
else
echo "Your binding doesn't use an autobuild script. Please add it in your project."
echo "It has to be stored in your root project directory in autobuild/agl/autobuild file"
- echo "and be able to generate an AGL package in the build root directory using the call"
- echo "autobuild/agl/autobuild package DEST=build"
- fi
-
- ######################################################################
- # /!\/!\/!\ DEPRECATED FALLBACK WAY TO BUILD AGL APPS /!\/!\/!\ #
- ######################################################################
-
- export isCMAKE=0
- export isMAKE=0
- export isQMAKE=0
-
- if test x"0" = x"$DONE" -a -f conf.d/autobuild/agl/autobuild ; then
- mkdir -p $(pwd)/package/
- conf.d/autobuild/agl/autobuild package DEST=$(pwd)/package/
- export isAUTOBUILD=1
- export DONE=1
- fi
- if test x"0" = x"$DONE" -a -f CMakeLists.txt; then
- rm -rf build || true
- mkdir build
- pushd build
- cmake ../
- make
- if test x"0" = x"$DONE" -a -f ../conf.d/autobuild/agl/autobuild ; then
- ../conf.d/autobuild/agl/autobuild package DEST=$(pwd)/package
- export isAUTOBUILD=1
- else
- make package || true
- make package-all || true
- fi
- popd
- export isCMAKE=1
- export DONE=1
- fi
- if test x"0" = x"$DONE" -a -f Makefile ; then
- make
- make package
- export isMAKE=1
- export DONE=1
- fi
- if test x"0" = x"$DONE" -a -f ${MYPROJECT}.pro; then
- qmake
- make
- make package
- export isQMAKE=1
- export DONE=1
+ echo "and be able to generate an AGL package in the build root directory using the call:"
+ echo " autobuild/agl/autobuild package DEST=somefolder"
+ echo ""
+ echo "and for all subtypes ... debug, test, coverage:"
+ echo " autobuild/agl/autobuild package-all DEST=somefolder"
+ exit 1
fi
- ######################################################################
- # /!\/!\/!\ Ends Here /!\/!\/!\ #
- ######################################################################
popd